## gstvideofilter

gstvideofilter — Base class for video filters

## Synopsis

    #include <gst/video/gstvideofilter.h>

                        GstVideoFilter;
                        GstVideoFilterClass;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstVideoFilter

## Description

Provides useful functions and a base class for video filters.

The videofilter will by default enable QoS on the parent GstBaseTransform to implement frame dropping.

## Details

### GstVideoFilter

    typedef struct _GstVideoFilter GstVideoFilter;

### GstVideoFilterClass

    typedef struct {
      GstBaseTransformClass parent_class;
    } GstVideoFilterClass;